



<h1>{{this.user.username}} Profile Page</h1>
<div class="container">
    <table class="table">
      <thead>
        <tr>
          <th>Name</th>
          <th>description</th>
          <th>Participants wanted</th>
          <th>Participants volunteered</th>
          <th>Required Budget</th>
          <th>Budget collected</th>
        </tr>
      </thead>
      <h3>Charities Created</h3>
      <tbody>
                <tr *ngFor="let charity of charitiesCreated">
                  <td>{{charity.charityName}}</td>
                  <td>{{charity.description}}</td>
                  <td>{{charity.numberOfParticipantsWanted}}</td>
                  <td>{{charity.numberOfParticipants}}</td>
                  <td>{{charity.budgetRequired}}</td>
                  <td>{{charity.budgetCollected}}</td>
                  <td>{{charity.creator.username}}</td>
                  <td><button (click)="routeTo(charity.charityId)" class="btn btn-success">More Information</button></td>
                </tr>
  
      </tbody>
      <h3>Charities Donated to:</h3>
      <tbody>
        <tr *ngFor="let charity of donations">
          <td>{{charity.charityName}}</td>
          <td>{{charity.description}}</td>
          <td>{{charity.numberOfParticipantsWanted}}</td>
          <td>{{charity.numberOfParticipants}}</td>
          <td>{{charity.budgetRequired}}</td>
          <td>{{charity.budgetCollected}}</td>
          <td>{{charity.creator.username}}</td>
          <td><button (click)="routeTo(charity.charityId)" class="btn btn-success">More Information</button></td>
        </tr>

</tbody>
<h3>Charities Participated In</h3>
<tbody>
          <tr *ngFor="let charity of participation">
            <td>{{charity.charityName}}</td>
            <td>{{charity.description}}</td>
            <td>{{charity.numberOfParticipantsWanted}}</td>
            <td>{{charity.numberOfParticipants}}</td>
            <td>{{charity.budgetRequired}}</td>
            <td>{{charity.budgetCollected}}</td>
            <td>{{charity.creator.username}}</td>
            <td><button (click)="routeTo(charity.charityId)" class="btn btn-success">More Information</button></td>
          </tr>
</tbody>

<h4>Event Log!</h4>
<ul class="list-group list-group-flush" *ngFor="let log of loggs">
  <li class="list-group-item">{{log.eventString}}</li>
  <button  *ngIf="log.charity!=null" class="btn btn-success" (click)="routeTo(log.charity.charityId)">go to charity</button>
</ul>


  
    </table>